<?php

namespace App\Actions\User;

use Filament\Notifications\Notification;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class Check
{
    public static function execute($request)
    {
        return DB::transaction(function () use ($request) {

            if (! Auth::validate([
                'email'     => $request['username'],
                'password'  => $request['password'],
                'is_active' => 1,
            ])
            ) {
                Notification::make()
                    ->danger()
                    ->title('Usuário ou Senha inválida')
                    ->body('O usuário ou senha informada é inválida.')
                    ->send();

                return false;
            }

            return true;

        });
    }
}
