<?php

namespace App\Console\Commands;

use App\Imports\RPAImport;
use App\Models\File;
use Illuminate\Console\Command;
use Maatwebsite\Excel\Facades\Excel;

class FileSend extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:file-send';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        $files = File::query()
            ->whereNull('processed_at')
            ->where('status', 1)
            ->limit(5)
            ->get();

        if ($files->isEmpty()) {
            return false;
        }

        $files->each(function (File $record) {

            $filePath = storage_path('app/public/' . $record->filename);

            if (! file_exists($filePath)) {
                $record->update([
                    'status' => 0,
                    'notes'  => 'Arquivo não encontrado.',
                ]);

                return false;
            }

            // Defina o tipo de formato do arquivo, por exemplo 'xlsx'
            $fileFormat = 'xls';

            // Instancia a classe de importação e executa a importação
            $import = new RPAImport();
            $import->collection(Excel::toCollection($fileFormat, $filePath), true, $record->company_id);

            $record->update([
                'processed_at' => now(),
            ]);

            sleep(rand(5, 10));
        });

    }
}
