<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum DocumentTypeEnum: string implements HasLabel
{
    case TaxCoupon  = 'tax_coupon';
    case Invoices   = 'invoices';
    case TaxInvoice = 'tax_invoice';
    case Receipt    = 'receipt';
    case Others     = 'others';

    public function getLabel(): ?string
    {

        return match ($this) {
            self::TaxCoupon  => 'Cupom Fiscal',
            self::Invoices   => 'Faturas',
            self::TaxInvoice => 'Nota Fiscal',
            self::Receipt    => 'Recibo',
            self::Others     => 'Outros',
        };
    }

}
