<?php

namespace App\Enums;

use Carbon\Carbon;
use Filament\Support\Contracts\HasLabel;

enum ExpirationTypeEnum: string implements HasLabel
{

    case Daily       = 'daily';
    case Weekly      = 'weekly';
    case Fortnightly = 'fortnightly';
    case Monthly     = 'monthly';
    case Quarterly   = 'quarterly';
    case Yearly      = 'yearly';

    public function getLabel(): ?string
    {

        return match ($this) {
            self::Daily       => 'Diário',
            self::Weekly      => 'Semanal',
            self::Fortnightly => 'Quinzenal',
            self::Monthly     => 'Mensal',
            self::Quarterly   => 'Trimestral',
            self::Yearly      => 'Anual',
        };
    }

    public function addIntervalToDate(Carbon $date): Carbon
    {
        return match ($this) {
            self::Daily       => $date->addDay(),
            self::Weekly      => $date->addWeek(),
            self::Fortnightly => $date->addWeeks(2),
            self::Monthly     => $date->addMonth(),
            self::Quarterly   => $date->addMonths(3),
            self::Yearly      => $date->addYear(),
        };
    }

}
