<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum MaritalStatusEnum: string implements HasLabel
{
    case Uninformed  = 'uninformed';
    case Single      = 'single';
    case Married     = 'married';
    case Divorced    = 'divorced';
    case Widower     = 'widower';
    case StableUnion = 'stableunion';

    public function getLabel(): ?string
    {
        return match ($this) {
            self::Uninformed  => 'Não informado',
            self::Single      => 'Solteiro (a)',
            self::Married     => 'Casado',
            self::Divorced    => 'Divorciado (a)',
            self::Widower     => 'Viuvo (a)',
            self::StableUnion => 'União Estável',
        };
    }
}
