<?php

namespace App\Enums;

use Filament\Support\Contracts\HasColor;
use Filament\Support\Contracts\HasIcon;
use Filament\Support\Contracts\HasLabel;

enum RegistryStatusEnum: string implements HasColor, HasIcon, HasLabel
{
    case Canceled = 'canceled';
    case Active   = 'active';
    case New      = 'new';

    public function getLabel(): ?string
    {
        return match ($this) {
            self::Canceled => 'Cancelados',
            self::Active   => 'Ativos',
            self::New      => 'Novos',
        };
    }

    public function getIcon(): ?string
    {
        return match ($this) {
            self::Canceled => 'heroicon-m-arrow-down-tray',
            self::Active   => 'heroicon-m-arrow-up-tray',
            self::New      => 'heroicon-m-arrow-up-tray',
        };
    }

    public function getColor(): ?string
    {
        return match ($this) {
            self::Canceled => 'green',
            self::Active   => 'red',
            self::New      => 'red',
        };
    }
}
