<?php

namespace App\Enums;
use Filament\Support\Contracts\HasLabel;

enum StateEnum: string implements HasLabel
{
    case AC = "AC";
    case AL = "AL";
    case AP = "AP";
    case AM = "AM";
    case BA = "BA";
    case CE = "CE";
    case DF = "DF";
    case ES = "ES";
    case GO = "GO";
    case MA = "MA";
    case MT = "MT";
    case MS = "MS";
    case MG = "MG";
    case PA = "PA";
    case PB = "PB";
    case PR = "PR";
    case PE = "PE";
    case PI = "PI";
    case RJ = "RJ";
    case RN = "RN";
    case RS = "RS";
    case RO = "RO";
    case RR = "RR";
    case SC = "SC";
    case SP = "SP";
    case SE = "SE";
    case TO = "TO";
 
    public function getLabel(): ?string {

        return match ($this) {
            self::AC => "Acre (AC)",
            self::AL => "Alagoas (AL)",
            self::AP => "Amapá (AP)",
            self::AM => "Amazonas (AM)",
            self::BA => "Bahia (BA)",
            self::CE => "Ceará (CE)",
            self::DF => "Distrito Federal (DF)",
            self::ES => "Espírito Santo (ES)",
            self::GO => "Goiás (GO)",
            self::MA => "Maranhão (MA)",
            self::MT => "Mato Grosso (MT)",
            self::MS => "Mato Grosso do Sul (MS)",
            self::MG => "Minas Gerais (MG)",
            self::PA => "Pará (PA)",
            self::PB => "Paraíba (PB)",
            self::PR => "Paraná (PR)",
            self::PE => "Pernambuco (PE)",
            self::PI => "Piauí (PI)",
            self::RJ => "Rio de Janeiro (RJ)",
            self::RN => "Rio Grande do Norte (RN)",
            self::RS => "Rio Grande do Sul (RS)",
            self::RO => "Rondônia (RO)",
            self::RR => "Roraima (RR)",
            self::SC => "Santa Catarina (SC)",
            self::SP => "São Paulo (SP)",
            self::SE => "Sergipe (SE)",
            self::TO => "Tocantins (TO)",
        };
    }

        public function siglas(): ?string {

                return match ($this) {
                    self::AC => 'AC',
                    self::AL => "AL",
                    self::AP => "AP",
                    self::AM => "AM",
                    self::BA => "BA",
                    self::CE => "CE",
                    self::DF => "DF",
                    self::ES => "ES",
                    self::GO => "GO",
                    self::MA => "MA",
                    self::MT => "MT",
                    self::MS => "MS",
                    self::MG => "MG",
                    self::PA => "PA",
                    self::PB => "PB",
                    self::PR => "PR",
                    self::PE => "PE",
                    self::PI => "PI",
                    self::RJ => "RJ",
                    self::RN => "RN",
                    self::RS => "RS",
                    self::RO => "RO",
                    self::RR => "RR",
                    self::SC => "SC",
                    self::SP => "SP",
                    self::SE => "SE",
                    self::TO => "TO",
                };
        }
}