<?php

namespace App\Enums;

use Filament\Support\Contracts\HasColor;
use Filament\Support\Contracts\HasIcon;
use Filament\Support\Contracts\HasLabel;

enum StatusReceptionEnum: string implements HasLabel, HasIcon, HasColor
{
    case Open = 'open';
    case Closed = 'closed';
    case Pause = 'pause';
    case Cancel = 'cancel';


    public function getLabel(): ?string
    {
        return match ($this) {
            self::Open => 'Aberto',
            self::Closed => 'Fechado',
            self::Pause => 'Pausado',
            self::Cancel => 'Cancelado',
        };
    }

    public function getIcon(): ?string
    {
        return match ($this) {
            self::Open => 'heroicon-m-play-circle',
            self::Closed => 'heroicon-m-stop-circle',
            self::Pause => 'heroicon-m-pause-circle',
            self::Cancel => 'heroicon-m-minus-circle',
        };
    }

    public function getColor(): ?string
    {
        return match ($this) {
            self::Open => 'green',
            self::Closed => 'blue',
            self::Pause => 'yellow',
            self::Cancel => 'red',
        };
    }
}