<?php

namespace App\Enums;

use Filament\Support\Contracts\HasColor;
use Filament\Support\Contracts\HasIcon;
use Filament\Support\Contracts\HasLabel;

enum StatusStockEntryEnum: string implements HasColor, HasIcon, HasLabel
{
    case Open   = 'open';
    case Closed = 'closed';

    public function getLabel(): ?string
    {
        return match ($this) {
            self::Open   => 'Aberto',
            self::Closed => 'Fechado',
        };
    }

    public function getIcon(): ?string
    {
        return match ($this) {
            self::Open   => 'heroicon-m-play-circle',
            self::Closed => 'heroicon-m-stop-circle',
        };
    }

    public function getColor(): ?string
    {
        return match ($this) {
            self::Open   => 'green',
            self::Closed => 'blue',
        };
    }
}
