<?php

namespace App\Enums;

use Filament\Support\Contracts\HasColor;
use Filament\Support\Contracts\HasIcon;
use Filament\Support\Contracts\HasLabel;

enum TypeCashierEnum: string implements HasLabel, HasIcon, HasColor
{
    case Input = 'input';
    case Output = 'output';


    public function getLabel(): ?string
    {
        return match ($this) {
            self::Input => 'Entrada',
            self::Output => 'Saída',
        };
    }

    public function getIcon(): ?string
    {
        return match ($this) {
            self::Input => 'heroicon-m-arrow-down-tray',
            self::Output => 'heroicon-m-arrow-up-tray',
        };
    }

    public function getColor(): ?string
    {
        return match ($this) {
            self::Input => 'green',
            self::Output => 'red',
        };
    }
}