<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum TypeRegistryAddressEnum: string implements HasLabel
{
    case Casa           = 'casa';
    case Apartamento    = 'apartamento';
    case Empresa        = 'empresa';
    case Loja           = 'loja';
    case Escritorio     = 'escritorio';
    case ShoppingCenter = 'shopping_center';
    case Escola         = 'escola';
    case Hospital       = 'hospital';
    case Igreja         = 'igreja';
    case Universidade   = 'universidade';
    case Fabrica        = 'fabrica';
    case Armazem        = 'armazem';
    case Fazenda        = 'fazenda';
    case Sitio          = 'sitio';
    case Chacara        = 'chacara';
    case Terreno        = 'terreno';
    case Garagem        = 'garagem';

    public function getLabel(): ?string
    {
        return match ($this) {
            self::Casa           => 'Casa',
            self::Apartamento    => 'Apartamento',
            self::Empresa        => 'Empresa',
            self::Loja           => 'Loja',
            self::Escritorio     => 'Escritório',
            self::ShoppingCenter => 'Shopping Center',
            self::Escola         => 'Escola',
            self::Hospital       => 'Hospital',
            self::Igreja         => 'Igreja',
            self::Universidade   => 'Universidade',
            self::Fabrica        => 'Fábrica',
            self::Armazem        => 'Armazém',
            self::Fazenda        => 'Fazenda',
            self::Sitio          => 'Sítio',
            self::Chacara        => 'Chácara',
            self::Terreno        => 'Terreno',
            self::Garagem        => 'Garagem',
        };
    }

}
