<?php

namespace App\Filament\Exports;

use App\Models\ReceiptPayment;
use Filament\Actions\Exports\ExportColumn;
use Filament\Actions\Exports\Exporter;
use Filament\Actions\Exports\Models\Export;

class ReceiptPaymentExporter extends Exporter
{
    protected static ?string $model = ReceiptPayment::class;

    protected static ?string $modelLabel = 'RPC';

    public static function getColumns(): array
    {
        return [
            ExportColumn::make('receipt')->label('Recibo'),
            ExportColumn::make('name')->label('Cooperado'),
            ExportColumn::make('registry_document_number')->label('CPF'),
            ExportColumn::make('date_at')->label('Data'),
            ExportColumn::make('sum_liquid')->label('Valor'),
        ];
    }

    public static function getCompletedNotificationBody(Export $export): string
    {
        $body = 'Your receipt payment export has completed and ' . number_format($export->successful_rows) . ' ' . str('row')->plural($export->successful_rows) . ' exported.';

        if ($failedRowsCount = $export->getFailedRowsCount()) {
            $body .= ' ' . number_format($failedRowsCount) . ' ' . str('row')->plural($failedRowsCount) . ' failed to export.';
        }

        return $body;
    }
}
