<?php

namespace App\Filament\Imports;

use App\Models\ReceiptPayment;
use Filament\Actions\Imports\ImportColumn;
use Filament\Actions\Imports\Importer;
use Filament\Actions\Imports\Models\Import;

class ReceiptPaymentImporter extends Importer
{
    protected static ?string $model = ReceiptPayment::class;

    public static function getColumns(): array
    {
        return [
            ImportColumn::make('registry')
                ->castStateUsing(function (string $state): ?float {
  dd($state);

                    if (blank($state)) {
                        return null;
                    }
//
//                    $state = preg_replace('/[^0-9.]/', '', $state);
//                    $state = floatval($state);

                    return round($state, precision: 2);
                }),
//            ImportColumn::make('company_name')
//                ->rules(['max:255']),
//            ImportColumn::make('company_document_number')
//                ->rules(['max:255']),
//            ImportColumn::make('registry_name')
//                ->rules(['max:100']),
//            ImportColumn::make('registry_document_number')
//                ->rules(['max:20']),
//            ImportColumn::make('registry_identity_number')
//                ->rules(['max:20']),
//            ImportColumn::make('registry_inss')
//                ->rules(['max:20']),
//            ImportColumn::make('registry_municipal_registration')
//                ->rules(['max:20']),
//            ImportColumn::make('registry_address')
//                ->rules(['max:255']),
//            ImportColumn::make('registry_city')
//                ->rules(['max:255']),
//            ImportColumn::make('city')
//                ->relationship(),
//            ImportColumn::make('receipt')
//                ->rules(['max:255']),
//            ImportColumn::make('description'),
//            ImportColumn::make('value_service_provided')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('value_other_cooperative_benefits')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('sum_service')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('value_iss')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('value_irrf')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('value_inss_deduction')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('value_inss_shipping')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('value_alimony')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('value_other_discounts')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('sum_discount')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('sum_liquid')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('count_downloads')
//                ->numeric()
//                ->rules(['integer']),
//            ImportColumn::make('date_at')
//                ->requiredMapping()
//                ->rules(['required', 'date']),
//            ImportColumn::make('notes'),
//            ImportColumn::make('is_import_file')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('is_checked')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
//            ImportColumn::make('status')
//                ->requiredMapping()
//                ->numeric()
//                ->rules(['required', 'integer']),
        ];
    }

    public function resolveRecord(): ?ReceiptPayment
    {
        dd($this);
         return ReceiptPayment::firstOrNew([
             // Update existing records, matching them by `$this->data['column_name']`
             'email' => $this->data['email'],
         ]);

        return new ReceiptPayment();
    }

    public static function getCompletedNotificationBody(Import $import): string
    {

        dd($import);

        $body = 'Your receipt payment import has completed and ' . number_format($import->successful_rows) . ' ' . str('row')->plural($import->successful_rows) . ' imported.';

        if ($failedRowsCount = $import->getFailedRowsCount()) {
            $body .= ' ' . number_format($failedRowsCount) . ' ' . str('row')->plural($failedRowsCount) . ' failed to import.';
        }

        return $body;
    }
}
