<?php

if (!function_exists('uploads_path')) {

    function uploads_path(string $path = '')
    {
        return asset('storage/' . $path);
    }
}

if (!function_exists('public_storage_path')) {

    /**
      * Retorna url do diretório público do storage.
      *
      * @param string $path
      * @return string
      */
    function public_storage_path(string $path = '')
    {
        return public_path('storage/' . $path);
    }
}

if (!function_exists('public_xmls_path')) {

    /**
      * Retorna url do diretório público do storage.
      *
      * @param string $path
      * @return string
      */
    function public_xmls_path(string $path = '')
    {
        return 'xmls/' . $path;
    }
}

if (!function_exists('redirect_after_save')) {

    function redirect_after_save($model)
    {
        $route = request('redirect_on_save');

        if (str_contains($route, 'edit')) {
            return redirect()->route($route, $model);
        }

        return redirect()->route($route);
    }
}

if (! function_exists('is_development')) {

    /**
     * Checks if user is physical person
     */
    function is_development()
    {
        return app()->environment('local');
    }
}
