<?php

namespace App\Http\Controllers\Api;

use App\Http\Resources\ReceiptPaymentCollection;
use App\Models\ReceiptPayment;

class ReceiptPaymentController extends BaseController
{
    public function __invoke($document_number)
    {

        $receiptPayment = ReceiptPayment::where('registry_document_number', $document_number)
            ->where('status', 1)
            ->where('is_checked', 1)
            ->orderBy('date_at', 'desc')
            ->limit(3)
            ->get()
            ->map(function ($item) {
                $item['total'] = $item->count();
                return $item;
            });

        return $this->response(
            'Listagem de RPCs!',
            new ReceiptPaymentCollection(
                $receiptPayment,
            )
        );
    }
}
