<?php

namespace App\Http\Middleware;

use Closure;
use Filament\Actions\Action;
use Filament\Facades\Filament;
use Filament\View\PanelsRenderHook;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class ActionsTopBarMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        Filament::registerRenderHook(
            PanelsRenderHook::USER_MENU_BEFORE,
            function () {

                $nickName = Action::make('changeProfile')
                    ->label(auth()->user()->nickname ?? '')
                    ->link();

                return view('filament.header-actions', compact('nickName'));
            }
        );

        return $next($request);
    }
}
