<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;

class ReceiptPaymentResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     */
    public function toArray(Request $request): array
    {
        return [
            'uuid'                => $this->uuid,
            'registry_name'       => $this->registry_name,
            'registry_first_name' => Str::of($this->registry_name)->explode(' ')->first(),
            'competence_date'     => $this->date_at->format('Y-m-d'),
            'competence'          => competence($this->date_at->format('Y-m-d')),
            'url'                 => route('report.rpc', $this->uuid),
        ];
    }
}
