<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AccountPlan extends Model
{

    const MovimentacaoConta = 4;
    const VendasProdutosVista = 63;
    const ContasaPagar = 34;
    const RendimentoAplicacoesFinanceiras = 70;
    const Emprestimos = 27;

    protected $fillable = [
        'account_group_id',
        'classification',
        'name',
        'description',
        'type',
        'is_active',
    ];

    protected function casts(): array
    {
        return [
            'is_active' => 'boolean',
        ];
    }

    public function account_group()
    {
        return $this->belongsTo(AccountGroup::class);
    }

    public function scopeRevenue($query)
    {
        return $query->where('type', 'revenue');
    }

    public function scopeExpense($query)
    {
        return $query->where('type', 'expense');
    }
}
