<?php

namespace App\Models;


use App\Models\Traits\EnableLogs;
use Illuminate\Database\Eloquent\{Builder, Model, SoftDeletes};
use Filament\Facades\Filament;

class BaseModel extends Model
{
    use SoftDeletes;
    use EnableLogs;

    public function scopeActive(Builder $query): Builder
    {
        return $query->where('status', true);
    }

    public static function scopebyCompany(Builder $query, $companyId = null): Builder
    {
        if (is_null($companyId)) {
            return $query->where('company_id', Filament::getTenant()->id);
        }

        return $query->where('company_id', $companyId);
    }
}
