<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

class File extends BaseModel
{
    protected $fillable = [
        'company_id',
        'orig_filename',
        'filename',
        'content',
        'notes',
        'processed_at',
        'status',
    ];

    protected $casts = [
        'orig_filename' => 'array',
        'processed_at' => 'datetime',
    ];

    public function company(): BelongsTo
    {
        return $this->belongsTo(Company::class);
    }
}
