<?php

namespace App\Models;

use App\Models\Traits\Uuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class LoanItem extends BaseModel
{
    use Uuids;
    use HasFactory;

    protected $fillable = [
        'company_id',
        'loan_id',
        'registry_id',
        'money',
        'installment',
        'due_at',
        'paid_money',
        'last_payment_at',
        'document_number',
        'is_active',
        'observation',
    ];

//    public function cast()
//    {
//        return [
//            'date_at' => 'date',
//            'due_at' => 'datetime',
//            'is_paid' => 'boolean',
//            'paid_at' => 'datetime',
//        ];
//    }

    protected $casts = [
        'date_at' => 'date',
        'due_at' => 'datetime',
        'is_paid' => 'boolean',
        'paid_at' => 'datetime',
    ];

    public function loan()
    {
        return $this->belongsTo(Loan::class);
    }

    public function registry()
    {
        return $this->belongsTo(Registry::class);
    }

    public function company()
    {
        return $this->belongsTo(Company::class);
    }

    public function getIsPaidAttribute()
    {
        return $this->paid_money > 0;
    }

}
