<?php

namespace Database\Factories;

use App\Models\Ncm;
use App\Models\ProductGroup;
use App\Models\Provider;
use App\Models\TaxGroup;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Product>
 */
class ProductFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'provider_id'          => Provider::all()->random()->id,
            'name'                 => 'PRODUTO ' . strtoupper($this->faker->word),
            'fiscal_name'          => 'PRODUTO SECUNDARIO' . strtoupper($this->faker->word),
            'reference'            => $this->faker->numberBetween(0, 99999999999999),
            'factory_code'         => $this->faker->numberBetween(0, 99999999999999),
            'unit_id'              => $this->faker->numberBetween(1, 2, 3),
            'product_group_id'     => ProductGroup::all()->random()->id,
            'product_sub_group_id' => 1,
            'ncm_id'               => Ncm::all()->random()->id,
            'cest'                 => $this->faker->numberBetween(0, 99999999999999),
            'tax_group_id'         => TaxGroup::all()->random()->id,
            'description'          => $this->faker->sentence,
            'description_fiscal'   => $this->faker->sentence,
            'cost_price'           => $this->faker->randomFloat(2, 0, 999),
            'price'                => $this->faker->randomFloat(2, 0, 999),
            'enable_nf'            => $this->faker->boolean,
            'enable_discount'      => $this->faker->boolean,
            'is_active'            => true,
        ];
    }
}
