<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Registry>
 */
class RegistryFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'uuid'               => $this->faker->uuid,
            'company_id'         => 1,
            'is_client'          => $this->faker->boolean,
            'is_provider'        => $this->faker->boolean,
            'is_transporter'     => $this->faker->boolean,
            'document_number'    => $this->faker->numberBetween(10000000000, 99999999999),
            'identity_document'  => $this->faker->numberBetween(10000000000, 99999999999),
            'name'               => $this->faker->name,
            'fantasy_name'       => $this->faker->company,
            'email'              => $this->faker->unique()->safeEmail,
//            'mobile_number'      => $this->faker->numberBetween(86990000000, 86999999999),
//            'phone_number'       => $this->faker->numberBetween(86990000000, 86999999999),
//            'zip_code'           => $this->faker->numberBetween(64000000, 64999999),
//            'address'            => $this->faker->address,
//            'address_number'     => $this->faker->buildingNumber,
//            'neighborhood'       => $this->faker->city,
//            'address_complement' => $this->faker->secondaryAddress,
        ];
    }
}
