<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('cities', function (Blueprint $table) {
            $table->id();
            $table->string('name', 200)->comment('Nome');
            $table->foreignId('state_id')->constrained()->comment('Estado');
            $table->string('state', 2)->nullable()->comment('Estado');
            $table->string('ibge_code', 7)->comment('Código IBGE');

            $table->unsignedTinyInteger('status')->default(1)->index()->comment('Indica se está ativa');
            $table->timestamps();
            $table->softDeletes()->index();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('cities');
    }
};
