<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('company_settings', function (Blueprint $table) {
            $table->id();
            $table->foreignId('company_id')->constrained();

            $table->decimal('tax', 10, 2)->default(0)->comment('Taxa de juros');
            $table->decimal('tax_day', 10, 2)->default(0)->comment('Taxa de juros por dia');
            $table->decimal('fine', 10, 2)->default(0)->comment('Multa');

            $table->boolean('is_active')->default(1)->index();
            $table->timestamps();
            $table->softDeletes()->index();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('company_settings');
    }
};
