<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('apolicies', function (Blueprint $table) {
            $table->id();
            $table->uuid();
            $table->foreignId('company_id')->constrained();
            $table->date('date_request')->nullable()->comment('Data de solicitação');
            $table->foreignId('registry_id')->constrained();
            $table->string('insured')->comment('Segurado');
            $table->string('modality_group')->comment('Grupo Modalidade');
            $table->integer('modality_id')->comment('Modalidade');
            $table->decimal('insured_value', 10, 2)->comment('Importância Segurado');
            $table->date('start_validity')->comment('Inicio de Vigência');
            $table->integer('validity')->comment('Validade');
            $table->date('end_validity')->comment('Fim de Vigência');
            $table->string('contract_name', 200)->comment('Nome do Edital/Contrato');
            $table->string('contract_number', 200)->comment('Numero do Edital/Contrato');
            $table->string('contract_objective', 200)->comment('Objetivo Contrato');
            $table->string('special_conditions', 200)->comment('Condições Particulares');
            $table->integer('installments')->comment('Parcelas');
            $table->integer('days')->comment('Dias');
            $table->text('description')->comment('Descrição');
            $table->boolean('is_active')->default(1)->index()->comment('Status');
            $table->timestamps();
            $table->softDeletes()->index();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('apolicies');
    }
};
