<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class AccountPlanSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('account_plans')->insert([
            [
                'account_group_id' => 1,
                'classification' => '1.1',
                'name'           => 'Ativo Circulante',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.1.1',
                'name'           => 'Disponível',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.1.1.1',
                'name'           => 'Caixa',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.1.1.2',
                'name'           => 'Movimentaçao de Conta',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.1.2',
                'name'           => 'Realizações',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.1.2.1',
                'name'           => 'Clientes',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.1.2.2',
                'name'           => 'Aplicação Financeira',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.1.3',
                'name'           => 'Estoque',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.1.3.1',
                'name'           => 'Mercadoria para revenda',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.1.3.2',
                'name'           => 'Insumos',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.1.3.3',
                'name'           => 'Produtos finais',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.2',
                'name'           => 'Ativo não circulante',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.2.1',
                'name'           => 'Realizável a longo prazo',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.2.1.1',
                'name'           => 'Titulo a receber',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.2.2',
                'name'           => 'Imobilizado',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.2.2.1',
                'name'           => 'Imoveis para renda',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.2.3',
                'name'           => 'Intangível',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 1,
                'classification' => '1.2.3.1',
                'name'           => 'Marcas e parentes',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.1',
                'name'           => 'Circulantes',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.1.1',
                'name'           => 'Impostos',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.1.1.1',
                'name'           => 'INSS',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.1.1.2',
                'name'           => 'FGTS',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.1.1.3',
                'name'           => 'Simpes Nacional',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.1.2',
                'name'           => 'Contas a Pagar',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.1.2.1',
                'name'           => 'Fornecedores',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.1.2.2',
                'name'           => 'Outras Contas',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.1.3',
                'name'           => 'Empréstimos',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.1.3.1',
                'name'           => 'Emprestimo no Banco A',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.1.3.2',
                'name'           => 'Emprestimo no Banco B',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.1.3.2',
                'name'           => 'Emprestimo no Banco C',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.2',
                'name'           => 'Não Circulante',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.2.1',
                'name'           => 'Emprestimo Bancarios (longo prazo)',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.2.1.1',
                'name'           => 'Emprestimo no Banco D',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.3',
                'name'           => 'Patrimomio liquido',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.3.1',
                'name'           => 'Capital',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.3.2',
                'name'           => 'Reservas',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 2,
                'classification' => '2.3.3',
                'name'           => 'Prejuizos acumulados',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 3,
                'classification' => '3.1',
                'name'           => 'Custo de mercadoria vendidas',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 3,
                'classification' => '3.1.1',
                'name'           => 'Materiais',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 3,
                'classification' => '3.1.2',
                'name'           => 'Mão de Obra',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 3,
                'classification' => '3.1.3',
                'name'           => 'Encargos sociais',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 3,
                'classification' => '3.2',
                'name'           => 'Custo de servico prestado',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 3,
                'classification' => '3.2.1',
                'name'           => 'Combustivel e lubrificantes',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 3,
                'classification' => '3.2.2',
                'name'           => 'Mão de Obra',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 3,
                'classification' => '3.2.3',
                'name'           => 'Encargos sociais',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.1',
                'name'           => 'Encargos sociais',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.1.1',
                'name'           => 'Aluguel',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.1.2',
                'name'           => 'Energia Eletrica',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.1.3',
                'name'           => 'Agua',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.1.4',
                'name'           => 'Internet e Telefone Fixo e Movel',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.1.5',
                'name'           => 'Correios',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.1.6',
                'name'           => 'Salarios',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.1.7',
                'name'           => 'Férias',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.1.8',
                'name'           => 'Comissão',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.2',
                'name'           => 'Despesas financeiras',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.2.1',
                'name'           => 'Juros passivos',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.2.2',
                'name'           => 'Descontos concedidos',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.2.3',
                'name'           => 'Despeas bancarias',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],

            [
                'account_group_id' => 4,
                'classification' => '4.3',
                'name'           => 'Despesas comerciais',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.3.1',
                'name'           => 'Publicidades',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 4,
                'classification' => '4.3.2',
                'name'           => 'Brindes',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 5,
                'classification' => '5.1',
                'name'           => 'Receitas de vendas',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 5,
                'classification' => '5.1.1',
                'name'           => 'Vendas de produtos a vista',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 5,
                'classification' => '5.1.2',
                'name'           => 'Vendas de produtos a prazo',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 5,
                'classification' => '5.2',
                'name'           => 'Receitas de prestação de servicos',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 5,
                'classification' => '5.2.1',
                'name'           => 'Vendas de servicos a vista',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 5,
                'classification' => '5.2.2',
                'name'           => 'Vendas de servicos a prazo',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 5,
                'classification' => '5.3',
                'name'           => 'Receitas financeiras',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 5,
                'classification' => '5.3.1',
                'name'           => 'Juros Ativos',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 5,
                'classification' => '5.3.2',
                'name'           => 'Rendimento de aplicações financeiras',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
            [
                'account_group_id' => 5,
                'classification' => '5.3.3',
                'name'           => 'Descontos obtidos',
                'description'    => null,
                'type'           => 'expense',
                'created_at'     => now(),
                'updated_at'     => now(),
            ],
        ]);
    }
}