<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Foundation\Application;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $this->call([
            UsersTableSeeder::class,
            RolesTableSeeder::class,
            PermissionsTableSeeder::class,
            ModelHasPermissionsTableSeeder::class,
            ModelHasRolesTableSeeder::class,
            RoleHasPermissionsTableSeeder::class,
            StatesTableSeeder::class,
            CityTableSeeder::class,
            CompaniesTableSeeder::class,
            CompanyUserTableSeeder::class,
            TermsTableSeeder::class,
        ]);

        if (app(Application::class)->isLocal()) {
            $this->call([
//                TempTableSeeder::class,
//                LoanTableSeeder::class
            ]);
        }
    }
}
