<?php

namespace Database\Seeders;

use App\Models\Loan;
use App\Models\LoanItem;
use Illuminate\Database\Seeder;

class LoanTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $loansData = [
            [
                'company_id'      => 1,
                'registry_id'     => 1,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 10000.00,
                'money_sum'       => 12000.00,
                'tax_money'       => 2000.00,
                'installments'    => 20,
                'date_at'         => '2024-09-02',
                'due_first_at'    => '2024-09-03',
                'tax'             => 20.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'daily',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 3,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 9000.00,
                'money_sum'       => 9900.00,
                'tax_money'       => 900.00,
                'installments'    => 10,
                'date_at'         => '2024-09-02',
                'due_first_at'    => '2024-09-03',
                'tax'             => 10.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'daily',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 5,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 8000.00,
                'money_sum'       => 8800.00,
                'tax_money'       => 800.00,
                'installments'    => 8,
                'date_at'         => '2024-09-07',
                'due_first_at'    => '2024-09-08',
                'tax'             => 8.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'daily',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 9,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 7000.00,
                'money_sum'       => 7700.00,
                'tax_money'       => 700.00,
                'installments'    => 7,
                'date_at'         => '2024-09-09',
                'due_first_at'    => '2024-09-10',
                'tax'             => 7.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'daily',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 10,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 6000.00,
                'money_sum'       => 6600.00,
                'tax_money'       => 600.00,
                'installments'    => 6,
                'date_at'         => '2024-09-11',
                'due_first_at'    => '2024-09-12',
                'tax'             => 6.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'daily',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 12,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 5000.00,
                'money_sum'       => 5500.00,
                'tax_money'       => 500.00,
                'installments'    => 5,
                'date_at'         => '2024-09-13',
                'due_first_at'    => '2024-09-14',
                'tax'             => 5.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'daily',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 7,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 4000.00,
                'money_sum'       => 4400.00,
                'tax_money'       => 400.00,
                'installments'    => 4,
                'date_at'         => '2024-09-15',
                'due_first_at'    => '2024-09-16',
                'tax'             => 4.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'daily',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 12,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 3000.00,
                'money_sum'       => 3300.00,
                'tax_money'       => 300.00,
                'installments'    => 3,
                'date_at'         => '2024-09-17',
                'due_first_at'    => '2024-09-18',
                'tax'             => 3.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'daily',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 11,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 2000.00,
                'money_sum'       => 2200.00,
                'tax_money'       => 200.00,
                'installments'    => 2,
                'date_at'         => '2024-09-19',
                'due_first_at'    => '2024-09-20',
                'tax'             => 2.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'daily',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 2,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 15000.00,
                'money_sum'       => 16500.00,
                'tax_money'       => 1500.00,
                'installments'    => 15,
                'date_at'         => '2024-09-21',
                'due_first_at'    => '2024-09-22',
                'tax'             => 15.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'monthly',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 2,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 12000.00,
                'money_sum'       => 13200.00,
                'tax_money'       => 1200.00,
                'installments'    => 12,
                'date_at'         => '2024-09-23',
                'due_first_at'    => '2024-09-24',
                'tax'             => 12.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'monthly',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 3,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 50000.00,
                'money_sum'       => 55000.00,
                'tax_money'       => 5000.00,
                'installments'    => 50,
                'date_at'         => '2024-09-25',
                'due_first_at'    => '2024-09-26',
                'tax'             => 50.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'weekly',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 3,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 45000.00,
                'money_sum'       => 49500.00,
                'tax_money'       => 4500.00,
                'installments'    => 45,
                'date_at'         => '2024-09-27',
                'due_first_at'    => '2024-09-28',
                'tax'             => 45.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'weekly',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 3,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 30000.00,
                'money_sum'       => 33000.00,
                'tax_money'       => 3000.00,
                'installments'    => 30,
                'date_at'         => '2024-09-29',
                'due_first_at'    => '2024-09-30',
                'tax'             => 30.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'monthly',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 4,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 25000.00,
                'money_sum'       => 27500.00,
                'tax_money'       => 2500.00,
                'installments'    => 25,
                'date_at'         => '2024-10-01',
                'due_first_at'    => '2024-10-02',
                'tax'             => 25.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'monthly',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 4,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 22000.00,
                'money_sum'       => 24200.00,
                'tax_money'       => 2200.00,
                'installments'    => 22,
                'date_at'         => '2024-10-03',
                'due_first_at'    => '2024-10-04',
                'tax'             => 22.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'weekly',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 5,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 18000.00,
                'money_sum'       => 19800.00,
                'tax_money'       => 1800.00,
                'installments'    => 18,
                'date_at'         => '2024-10-05',
                'due_first_at'    => '2024-10-06',
                'tax'             => 18.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'daily',
                'is_active'       => 1,
                'observation'     => null,
            ],
            [
                'company_id'      => 1,
                'registry_id'     => 5,
                'contract_id'     => null,
                'user_id'         => 2,
                'money'           => 16000.00,
                'money_sum'       => 17600.00,
                'tax_money'       => 1600.00,
                'installments'    => 16,
                'date_at'         => '2024-10-07',
                'due_first_at'    => '2024-10-08',
                'tax'             => 16.00,
                'tax_day'         => 0.00,
                'fine'            => 0.00,
                'expiration_type' => 'monthly',
                'is_active'       => 1,
                'observation'     => null,
            ],
        ];

        foreach ($loansData as $loanData) {

            $loan = Loan::create($loanData);

            $portion_start = 1;
            $portion_end   = $loan->installments;
            $currentDate   = \Carbon\Carbon::parse($loan->due_first_at);
            $interval      = '1 day'; // Adjust the interval as needed

            for ($i = $portion_start; $i <= $portion_end; $i++) {
                $currentDate->add($interval);

                // Calculate the money per installment with interest
                $moneyWithInterest = ($loan->money / ($portion_end - $portion_start + 1)) * (1 + $loan->tax / 100);

                LoanItem::create([
                    'company_id'      => $loan->company_id,
                    'loan_id'         => $loan->id,
                    'registry_id'     => $loan->registry_id,
                    'money'           => $moneyWithInterest,
                    'installment'     => $i,
                    'due_at'          => $currentDate->toDateString(),
                    'paid_money'      => 0, // Assuming initial value is 0
                    'document_number' => null, // Assuming this is set elsewhere
                    'is_active'       => $loan->is_active,
                    'observation'     => $loan->observation,
                ]);
            }
        }
    }

}
