<?php

namespace Database\Seeders;

use App\Models\Registry;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class RegistriesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('registries')->insert([
            [
                'id'                => 1,
                'uuid'              => Str::uuid(),
                'company_id'        => 1,
                'is_client'         => 1,
                'is_provider'       => 1,
                'is_transporter'    => 1,
                'document_number'   => '10000000000',
                'identity_document' => '99999999999',
                'name'              => 'Patresy da Silva Sousa',
                'fantasy_name'      => 'Patresy',
                'email'             => 'patresy@email.com',
                'is_active'         => 1,
                'created_at'        => now(),
                'updated_at'        => now(),
            ],
        ]);

        DB::table('registry_contacts')->insert([
            'company_id'  => 1,
            'registry_id' => 1,
            'number'      => '86994905314',
            'description' => 'Whats',
            'is_default'  => 1,
            'is_active'   => 1,
            'created_at'  => now(),
            'updated_at'  => now(),
        ]);

        Registry::factory()
            ->count(100)
            ->create();
    }
}
