<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class StatesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('states')->insert([
            // Região Norte
            [
                'id'           => 22,
                'ibge_code'    => 11,
                'name'         => 'RONDÔNIA',
                'abbreviation' => 'RO',
                'region'       => 'N',
            ],
            [
                'id'           => 1,
                'ibge_code'    => 12,
                'name'         => 'ACRE',
                'abbreviation' => 'AC',
                'region'       => 'N',
            ],
            [
                'id'           => 4,
                'ibge_code'    => 13,
                'name'         => 'AMAZONAS',
                'abbreviation' => 'AM',
                'region'       => 'N',
            ],
            [
                'id'           => 23,
                'ibge_code'    => 14,
                'name'         => 'RORAIMA',
                'abbreviation' => 'RR',
                'region'       => 'N',
            ],
            [
                'id'           => 14,
                'ibge_code'    => 15,
                'name'         => 'PARÁ',
                'abbreviation' => 'PA',
                'region'       => 'N',
            ],
            [
                'id'           => 3,
                'ibge_code'    => 16,
                'name'         => 'AMAPÁ',
                'abbreviation' => 'AP',
                'region'       => 'N',
            ],
            [
                'id'           => 27,
                'ibge_code'    => 17,
                'name'         => 'TOCANTINS',
                'abbreviation' => 'TO',
                'region'       => 'N',
            ],

            //Região Nordeste
            [
                'id'           => 10,
                'ibge_code'    => 21,
                'name'         => 'MARANHÃO',
                'abbreviation' => 'MA',
                'region'       => 'NE',
            ],
            [
                'id'           => 18,
                'ibge_code'    => 22,
                'name'         => 'PIAUÍ',
                'abbreviation' => 'PI',
                'region'       => 'NE',
            ],
            [
                'id'           => 6,
                'ibge_code'    => 23,
                'name'         => 'CEARÁ',
                'abbreviation' => 'CE',
                'region'       => 'NE',
            ],
            [
                'id'           => 20,
                'ibge_code'    => 24,
                'name'         => 'RIO GRANDE DO NORTE',
                'abbreviation' => 'RN',
                'region'       => 'NE',
            ],
            [
                'id'           => 15,
                'ibge_code'    => 25,
                'name'         => 'PARAÍBA',
                'abbreviation' => 'PB',
                'region'       => 'NE',
            ],
            [
                'id'           => 17,
                'ibge_code'    => 26,
                'name'         => 'PERNAMBUCO',
                'abbreviation' => 'PE',
                'region'       => 'NE',
            ],
            [
                'id'           => 2,
                'ibge_code'    => 27,
                'name'         => 'ALAGOAS',
                'abbreviation' => 'AL',
                'region'       => 'NE',
            ],
            [
                'id'           => 26,
                'ibge_code'    => 28,
                'name'         => 'SERGIPE',
                'abbreviation' => 'SE',
                'region'       => 'NE',
            ],
            [
                'id'           => 5,
                'ibge_code'    => 29,
                'name'         => 'BAHIA',
                'abbreviation' => 'BA',
                'region'       => 'NE',
            ],

            //Região Sudeste
            [
                'id'           => 13,
                'ibge_code'    => 31,
                'name'         => 'MINAS GERAIS',
                'abbreviation' => 'MG',
                'region'       => 'SE',
            ],
            [
                'id'           => 8,
                'ibge_code'    => 32,
                'name'         => 'ESPÍRITO SANTO',
                'abbreviation' => 'ES',
                'region'       => 'SE',
            ],
            [
                'id'           => 19,
                'ibge_code'    => 33,
                'name'         => 'RIO DE JANEIRO',
                'abbreviation' => 'RJ',
                'region'       => 'SE',
            ],
            [
                'id'           => 25,
                'ibge_code'    => 35,
                'name'         => 'SÃO PAULO',
                'abbreviation' => 'SP',
                'region'       => 'SE',
            ],

            //Região Sul
            [
                'id'           => 16,
                'ibge_code'    => 41,
                'name'         => 'PARANÁ',
                'abbreviation' => 'PR',
                'region'       => 'S',
            ],
            [
                'id'           => 24,
                'ibge_code'    => 42,
                'name'         => 'SANTA CATARINA',
                'abbreviation' => 'SC',
                'region'       => 'S',
            ],
            [
                'id'           => 21,
                'ibge_code'    => 43,
                'name'         => 'RIO GRANDE DO SUL',
                'abbreviation' => 'RS',
                'region'       => 'S',
            ],

            //Região Centro-Oeste
            [
                'id'           => 12,
                'ibge_code'    => 50,
                'name'         => 'MATO GROSSO DO SUL',
                'abbreviation' => 'MS',
                'region'       => 'CO',
            ],
            [
                'id'           => 11,
                'ibge_code'    => 51,
                'name'         => 'MATO GROSSO',
                'abbreviation' => 'MT',
                'region'       => 'CO',
            ],
            [
                'id'           => 9,
                'ibge_code'    => 52,
                'name'         => 'GOIÁS',
                'abbreviation' => 'GO',
                'region'       => 'CO',
            ],
            [
                'id'           => 7,
                'ibge_code'    => 53,
                'name'         => 'DISTRITO FEDERAL',
                'abbreviation' => 'DF',
                'region'       => 'CO',
            ],

            //Exterior
            [
                'id'           => 28,
                'ibge_code'    => 0,
                'name'         => 'EXTERIOR',
                'abbreviation' => 'EX',
                'region'       => 'EX',
            ],
        ]);
    }
}
