<?php

namespace Database\Seeders;

use App\Models\ProductGroup;
use App\Models\ProductSubGroup;
use App\Models\TaxGroup;
use Illuminate\Database\Seeder;

class TempTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
//        self::getGroups();
//        self::getSubGroups();
//        self::getTaxGroups();
    }

    public static function getGroups()
    {
        $dataProductGroup = collect([
            ['id' => '1', 'name' => 'Grupo 01', 'description' => 'Descricao Grupo 01'],
            ['id' => '2', 'name' => 'Grupo 02', 'description' => 'Descricao Grupo 02'],
        ]);

        $dataProductGroup->each(fn ($data) => ProductGroup::create($data));
    }

    public static function getSubGroups()
    {
        $dataProductSubGroup = collect([
            ['id' => '1', 'product_group_id' => 1, 'name' => 'SubGrupo 01', 'description' => 'Descricao SubGrupo 01'],
            ['id' => '2', 'product_group_id' => 1, 'name' => 'SubGrupo 02', 'description' => 'Descricao SubGrupo 02'],
            ['id' => '3', 'product_group_id' => 2, 'name' => 'SubGrupo 03', 'description' => 'Descricao SubGrupo 03'],
            ['id' => '4', 'product_group_id' => 2, 'name' => 'SubGrupo 04', 'description' => 'Descricao SubGrupo 04'],
        ]);

        $dataProductSubGroup->each(fn ($data) => ProductSubGroup::create($data));
    }
    public static function getTaxGroups()
    {
        $dataTaxGroup = collect([
            [
                'id'            => '1',
                'name'          => 'Grupo Fiscal',
                'state_cfop_id' => 5102,
                'is_active'     => 1,
            ],
        ]);

        $dataTaxGroup->each(fn ($data) => TaxGroup::create($data));
    }
}
