<div class="flex h-screen bg-white">
    <!-- Left side - Login Form -->
    <div class="hidden md:flex w-1/2 bg-blue-600 flex-col justify-center items-center text-white px-12 bg-gradient-to-b from-blue-400 accent-blue-400 to-blue-950">
        <h1 class="text-4xl font-bold mb-4">Bem vindo</h1>
        <img src="{{ asset('images/logo-login.png') }}" alt="Logo" class="w-2/4 mb-4">
    </div>
    <!-- Right side - Image and Text -->
    <div class="w-full md:w-1/2 flex flex-col justify-center px-0 md:px-12 bg-gray-50 dark:bg-gray-900 ">
        <div id="form-center" class="flex justify-center items-center">
            <div class="content-wrapper w-8/12 p-12  shadow-none ring-0 ring-gray-950/5 dark:bg-gray-900 dark:ring-white/10 sm:rounded-xl">

                <div class="mb-8">
                    <div class="flex items-center mb-4">
                        <img src="{{ asset('images/logo-icon.png') }}" alt="Logo" class="w-12 mb-4">
                        <span class="text-2xl font-bold">{{ config('app.name') }}</span>
                    </div>
                    <p class="text-gray-600">{{ __('Informe os dados para acesso') }}</p>
                </div>

                @if (filament()->hasRegistration())
                    <x-slot name="subheading">
                        {{ __('filament-panels::pages/auth/login.actions.register.before') }}
                        {{ $this->registerAction }}
                    </x-slot>
                @endif

                {{ \Filament\Support\Facades\FilamentView::renderHook(\Filament\View\PanelsRenderHook::AUTH_LOGIN_FORM_BEFORE, scopes: $this->getRenderHookScopes()) }}

                <x-filament-panels::form id="form" wire:submit="authenticate" class="fi-simple-main">
                    {{ $this->form }}

                    <x-filament-panels::form.actions
                            :actions="$this->getCachedFormActions()"
                            :full-width="$this->hasFullWidthFormActions()"
                    />
                </x-filament-panels::form>

                {{ \Filament\Support\Facades\FilamentView::renderHook(\Filament\View\PanelsRenderHook::AUTH_LOGIN_FORM_AFTER, scopes: $this->getRenderHookScopes()) }}

            </div>
        </div>
    </div>


</div>