
<div class="font-semibold relative overflow-x-auto">
    <table class="w-full text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
        <thead class="text-md text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
        <tr>
            <th scope="col" class="px-6 py-3">
                Emprestimo
            </th>
            <th scope="col" class="px-6 py-3">
                Nome
            </th>
            <th scope="col" class="px-6 py-3">
                Parcela
            </th>
            <th scope="col" class="px-6 py-3">
                Data de Vencimento
            </th>
            <th scope="col" class="px-6 py-3">
                Valor Prestação
            </th>
            <th scope="col" class="px-6 py-3">
                Valor Pago
            </th>
            <th scope="col" class="px-6 py-3">
                A Pagar
            </th>
        </tr>
        </thead>
        <tbody>
        @php
            $sumMoney = 0;
            $sumPaidMoney = 0;
        @endphp
        @forelse($records as $record)
        @php
            $sumMoney += $record->money;
            $sumPaidMoney += $record->paid_money;
        @endphp
        <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700">

            <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                {{ left_zero($record->loan_id,3) }}
            </th>
            <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                {{ $record->registry->name }}
            </th>
            <th scope="row" class="px-6 py-4 font-medium text-center text-gray-900 whitespace-nowrap dark:text-white">
                {{ left_zero($record->installment,2) }}/{{ left_zero($record->loan->installments,2) }}
            </th>
            <td class="px-6 py-4 text-center">
                {{ ($record->due_at->format('d/m/Y')) }}
            </td>
            <td class="px-6 py-4 text-right">
                R$ {{ money_view($record->money) }}
            </td>
            <td class="px-6 py-4 text-right">
                R$ {{ money_view($record->paid_money) }}
            </td>
            <td class="px-6 py-4 text-right ">
                R$ {{ money_view($record->money-$record->paid_money) }}
            </td>
        </tr>
        @empty
            Sem Dados!
        @endforelse
        </tbody>
        <tfoot>
        <tr class="font-semibold bg-gray-200 dark:bg-gray-950 text-gray-900 dark:text-white">
            <th scope="row" class="px-6 py-3 text-base">Total</th>
            <td class="px-6 py-3"></td>
            <td class="px-6 py-3"></td>
            <td class="px-6 py-3"></td>
            <td class="px-6 py-3 text-right"> R$ {{ money_view($sumMoney) }}</td>
            <td class="px-6 py-3 text-right">R$ {{ money_view($sumPaidMoney) }}</td>
            <td class="px-6 py-3 text-red-500 text-right"><b class="text-red-950">R$ {{ money_view($sumMoney-$sumPaidMoney) }}</b></td>
        </tr>
        </tfoot>
    </table>
</div>

