<section class="mb-2 border bg-neutral-100 p-4 rounded-lg max-w-full bg-neutral-100">
    <div class="mx-auto">
        <div class="card md:flex max-w-lg">
            <div class="w-20 h-20 mx-auto mb-6 md:mr-6 flex-shrink-0">
                <img class="object-cover rounded-full" src="https://tailwindflex.com/public/images/user.png">
            </div>
            <div class="flex-grow pl-2 text-left md:text-left">
                <h3 class="text-xl heading p-1 ml-4">{{ $registry->fantasy_name ?? 'Nome Cliente' }} </h3>
                <p class="font-bold p-1 pb-4">{{ $registry->name ?? 'Nome Cliente' }}</p>
                {{--                    <p class="mt-2 mb-3">John is a Senior Developer, mainly works in backend technologies.</p>--}}
                <div class="mt-5">
                    @can('update_registry')
                        <a href="{{ route('filament.admin.resources.registries.edit', ['tenant' => getTenant('slug'), 'record' => $registry->id]) }}" class="bg-gray-200 border pl-2 px-3 py-1.5 rounded-lg text-sm">Editar Cadastro</a>
                    @endcan
                    @can('create_loan')
                        <a href="{{ route('filament.admin.resources.loans.create', ['tenant' => getTenant('slug')]) }}" class="bg-gray-200 border pl-2 px-3 py-1.5 rounded-lg text-sm">Novo Emprestimo</a>
                    @endcan
{{--                    @can('update_registry')--}}
{{--                        <a href="{{ route('filament.admin.resources.registries.account', ['tenant' => getTenant('slug'), 'record' => $registry->id]) }}" class="bg-gray-200 border pl-2 px-3 py-1.5 rounded-lg text-sm">Saldo</a>--}}
{{--                    @endcan--}}
                </div>
            </div>
        </div>
    </div>
</section>
<div class="font-semibold relative overflow-x-auto">

    <table class="w-full text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
        <thead class="text-md text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
        <tr>
            <th scope="col" class="px-6 py-3">
                Emprestimo
            </th>
            <th scope="col" class="px-6 py-3">
                Parcela
            </th>
            <th scope="col" class="px-6 py-3">
                Data de Vencimento
            </th>
            <th scope="col" class="px-6 py-3">
                Valor Prestação
            </th>
            <th scope="col" class="px-6 py-3">
                Valor Pago
            </th>
        </tr>
        </thead>
        <tbody>
        @php
            $sumMoney = 0;
            $sumPaidMoney = 0;
        @endphp
        @forelse($records as $record)
        @php
            $sumMoney += $record->money;
            $sumPaidMoney += $record->paid_money;
        @endphp
        <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700">

            <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                {{ left_zero($record->loan_id,3) }}
            </th>
            <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                {{ left_zero($record->installment,2) }}/{{ left_zero($record->loan->installments,2) }}
            </th>
            <td class="px-6 py-4">
                {{ ($record->due_at->format('d/m/Y')) }}
            </td>
            <td class="px-6 py-4">
                R$ {{ money_view($record->money) }}
            </td>
            <td class="px-6 py-4">
                R$ {{ money_view($record->paid_money) }}
            </td>
        </tr>
        @empty
            Sem Dados!
        @endforelse
        </tbody>
        <tfoot>
        <tr class="font-semibold bg-gray-200 dark:bg-gray-950 text-gray-900 dark:text-white">
            <th scope="row" class="px-6 py-3 text-base">Total</th>
            <td class="px-6 py-3"></td>
            <td class="px-6 py-3"></td>
            <td class="px-6 py-3">R$ {{ money_view($sumMoney) }}</td>
            <td class="px-6 py-3">R$ {{ money_view($sumPaidMoney) }}</td>
        </tr>
        </tfoot>
    </table>
</div>

