 @php(ini_set('memory_limit', '256M'))

@extends('reports.layouts.pdf.base')

@section('title', 'Consultorios ' . now())

@section('content')
<div id="body">

    <div class="text-center title">
        <h4 class="text-lg font-bold">
            Relatório de Cobrança<br/>
        </h4>
    </div>

    <div class="text-center subtitle">
    </div>

    <div class="border border-gray-300 rounded-lg shadow-md">
        <div class="p-4">
            <div class="flex flex-col">
                <div class="w-full overflow-x-auto">

                    <div class="border border-gray-300 rounded-lg shadow-md">
                        <div class="p-4">
                            <div class="flex flex-col">
                                <div class="w-full overflow-x-auto">
                                    <table class="min-w-full bg-white">
                                        <thead>
                                            <tr>
                                                <th class="px-1 text-left w-1/20">#</th>
                                                <th class="px-1 text-left w-1/4">Emprestimo</th>
                                                <th class="px-1 text-left w-3/20">Nome</th>
                                                <th class="px-1 text-center w-1/10">Parcela</th>
                                                <th class="px-1 text-center w-3/20">Data de Vencimento</th>
                                                <th class="px-1 text-center w-1/10">Valor Prestação</th>
                                                <th class="px-1 text-center w-1/10">Valor Pago</th>
                                                <th class="px-1 text-center w-1/10">A Pagar</th>
                                            </tr>
                                        </thead>

                                        <tbody>
                                            @forelse ($data['loanItem'] as $list)
                                                <tr class="font-semibold bg-gray-200 text-gray-900">
                                                    <td class="px-4 text-left"> {{ left_zero($loop->iteration,2) }}</td>
                                                    <td class="px-4 text-center"> {{ left_zero($list->loan_id,3) }}</td>
                                                    <td class="px-4 text-left"> {{ $list->registry->name }}</td>
                                                    <td class="px-4 text-center"> {{ left_zero($list->installment,3) }}</td>
                                                    <td class="px-4 text-center"> {{ $list->due_at->format('d/m/Y') }}</td>
                                                    <td class="px-4 text-right"> R$ {{ money_view($list->money) }}</td>
                                                    <td class="px-4 text-right"> R$ {{ money_view($list->paid_money) }}</td>
                                                    <td class="px-4 text-rights"> R$ {{ money_view($list->money - $list->paid_money) }}</td>
                                                </tr>
                                            @empty
                                                <tr>
                                                    <td colspan="8">
                                                        <p class="py-2 text-center width-720">
                                                            Nenhum registro encontrado!
                                                         </p>
                                                    </td>
                                                </tr>
                                            @endforelse
                                        </tbody>
                                        <tfoot>
                                        <tr class="font-semibold bg-gray-200 text-gray-900">
                                            <td colspan="1" class="px-4 text-right"><b>Total</b></td>
                                            <td colspan="4" class="px-4 text-right"></td>
                                            <td class="px-4 text-right"><b>R$ {{ money_view($data['sumMoney']) }}</b></td>
                                            <td class="px-4 text-right"><b>R$ {{ money_view($data['sumPaidMoney']) }}</b></td>
                                            <td class="px-4 text-right"><b>R$ {{ money_view($data['diffMoney']) }}</b></td>
                                        </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

</div>

@endsection
