{{-- @php(ini_set('memory_limit', '256M')) --}}

@extends('reports.layouts.pdf.base')

@section('title', 'Consultorios ' . now())

{{-- @extends('reports.layouts.pdf.header', ['event' => 'aa']) --}}

@section('content')
    <style>
        body {
            font-size: 10.5px;
        }

        .section {
            /* Espaçamento entre as seções */
            margin-bottom: -1px;
            padding: 2px;
            width: 100%;
            /* Para resolver problema de collapse de float */
        }

        .section::after {
            content: "";
            display: table;
            clear: both;
        }

        .left {
            float: left;
            width: 68%;
            padding-left: 10px;
        }

        .left-50 {
            float: left;
            width: 49%;
            padding-left: 10px;
        }

        .left-full {
            float: left;
            width: 98%;
            padding-left: 10px;
        }

        .right {
            float: left;
            padding-left: 10px;
            width: 29%;

        }

        .right-50 {
            float: left;
            padding-left: 10px;
            width: 49%;
        }

        .border-black {
            border: 1px solid #000;
        }

        .border-left {
            border-left: 1px solid #000;
        }

        .border-none {
            border: none;
        }

        .text-center {
            text-align: center;
        }

        .text-left {
            text-align: left;
        }

        .text-right {
            text-align: right;
        }

        .padding-10-0 {
            padding: 10px 0;
        }

        .padding-5-0 {
            padding: 5px 0;
        }

        .padding-2-0 {
            padding: 2px 0;
        }

        .td-border-none {
            border: none;
        }
    </style>
    <div id="">
        <div class="section text-center border-none" style="margin: 0 0 -6px 0;">
            <div class="left ">
                <b>RECIBO DE PAGAMENTO DE COOPERADO - RPC</b>
            </div>
            <div class="right " style="padding: 5px 0px 5px 10px; border:1px solid #000;">
                N° Recibo
            </div>
        </div>

        <div class="section border-none" style="margin: 0 0 -4px 0;">
            <div class="left ">

            </div>
            <div class="right " style="padding: 5px 0px 5px 10px; border:1px solid #000;">
                {{ $data['receiptPayment']->receipt }}
            </div>
        </div>

        <div class="section border-black padding-5-0">
            <div class="left ">
                Nome ou Razao Social da Empresa
            </div>
            <div class="right border-left">
                CNPJ da Empresa
            </div>
        </div>

        <div class="section border-black padding-5-0">
            <div class="left ">
                {{ $data['receiptPayment']->company_name }}
            </div>
            <div class="right border-left">
                {{ $data['receiptPayment']->company_document_number }}
            </div>
        </div>
        <div class="section border-black padding-5-0">
            <div class="left-full ">
                {{ $data['receiptPayment']->description }}
            </div>
        </div>
        <div class="section border-black" style="padding: 0px;">
            <div class="left-50 " style="border-right:1px solid #000;">
                <div style="margin: 10px 0;">
                    <u>ESPECIFICAÇÃO:</u>

                    <table style="width: 100%; font-size:14px; margin-top:15px;">
                        <tr style="border: none;">
                            <td class="text-left td-border-none">Valor Serviço Prestado</td>
                            <td class="text-right td-border-none">R$
                                {{ money_view($data['receiptPayment']->value_service_provided) }}</td>
                        </tr>
                        <tr>
                            <td class="text-left td-border-none">OUTROS BENEFICIOS COOPERADOS</td>
                            <td class="text-right td-border-none">R$
                                {{ money_view($data['receiptPayment']->value_other_cooperative_benefits) }}</td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>

                        <tr>
                            <td class="text-right td-border-none">Total</td>
                            <td class="text-right td-border-none">R$
                                {{ money_view($data['receiptPayment']->sum_service) }}</td>
                        </tr>

                </div>
            </div>
            <div class="right-50">
                <div style="margin: 10px 0; width: 98%;">
                    <u>DESCONTOS:</u>

                    <table style="width: 100%; font-size:14px; margin-top:15px;">
                        <tr style="border: none;">
                            <td class="text-left td-border-none">ISS</td>
                            <td class="text-right td-border-none">R$
                                {{ money_view($data['receiptPayment']->value_iss) }}</td>
                        </tr>
                        <tr>
                            <td class="text-left td-border-none">IRRF</td>
                            <td class="text-right td-border-none">R$
                                {{ money_view($data['receiptPayment']->value_irrf) }}</td>
                        </tr>
                        <tr>
                            <td class="text-left td-border-none">Dedução INSS</td>
                            <td class="text-right td-border-none">R$
                                {{ money_view($data['receiptPayment']->value_inss_deduction) }}</td>
                        </tr>
                        <tr>
                            <td class="text-left td-border-none">INSS Frete</td>
                            <td class="text-right td-border-none">R$
                                {{ money_view($data['receiptPayment']->value_inss_shipping) }}</td>
                        </tr>
                        <tr>
                            <td class="text-left td-border-none">Pensão Alimentícia</td>
                            <td class="text-right td-border-none">R$
                                {{ money_view($data['receiptPayment']->value_alimony) }}</td>
                        </tr>
                        <tr>
                            <td class="text-left td-border-none">Outros descontos</td>
                            <td class="text-right td-border-none">R$
                                {{ money_view($data['receiptPayment']->value_other_discounts) }}</td>
                        </tr>

                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none"></td>
                            <td class="text-right td-border-none"></td>
                        </tr>
                        <tr>
                            <td class="text-right td-border-none">Total</td>
                            <td class="text-right td-border-none">R$
                                {{ money_view($data['receiptPayment']->sum_discount) }}</td>
                        </tr>
                </div>
            </div>
        </div>
        <div class="section border-black padding-5-0">
            <div class="left-full ">
                VALOR LIQUIDO: R$ {{ money_view($data['receiptPayment']->sum_liquid) }} (
                {{ numberToText($data['receiptPayment']->sum_liquid) }}).
            </div>
        </div>
        <div class="section border-black padding-2-0 ">
            <div class="left-full ">
                <b>Identificação do Prestador de Serviço</b>
            </div>
        </div>
        <div class="section border-black padding-5-0">
            <div class="left-full">
                <p>Nome Completo: {{ $data['receiptPayment']->registry_name }}</p>
                <p>N° INSS: {{ $data['receiptPayment']->registry_inss }}</p>
                <p>N° CPF: {{ $data['receiptPayment']->registry_document_number }}</p>
                <p>N° Inscrição municipal: {{ $data['receiptPayment']->registry_municipal_registration }}</p>
                <p>Número Identidade: {{ $data['receiptPayment']->registry_identity_number }}</p>
                <p>Endereço: {{ $data['receiptPayment']->registry_address }}</p>
            </div>
        </div>
        <div class="section border-black padding-5-0">
            <div class="left-50">
                <p>{{ $data['receiptPayment']->registry_city }},
                    {{ $data['receiptPayment']->date_at->format('d/m/Y') }}</p>
            </div>
            <div class="right-50">
                Assinatura:
            </div>
        </div>
        <div class="section border-black padding-5-0">
            <div class="left-full ">
                Esta remuneração sera incluída na GFIP e os valores retidos a título de contribuição previdenciaria serão
                recolhidos em conformidade com a legislação vigente.
            </div>
        </div>












    </div>
@endsection
