---
name: Bug report
about: Create a report to help us improve
title: "[BUG]"
labels: ''
assignees: ''

---

<!-- ============================================================================ -->
<!-- == YOU *MUST* READ THE GUIDELINES & USE THIS TEMPLATE OR YOUR ISSUE WILL BE CLOSED = -->
<!-- ============================================================================ -->

# 🛻 LaraDumps Bug Report

<table><tr><td>❗ You <b>MUST</b> use this template to submit an issue or it will be CLOSED. ❗</td></tr></table><br/>

Thank you for reporting a bug and helping us to improve our software!

## Guidelines

`   🐛 `   We use GitHub Issues **EXCLUSIVELY** for tracking bugs and unexpected software behavior.

`   🙏 `  Questions like _"How to...",_ "_how can I..."_, _"I would like to..."_ should be posted in the LaraDumps [Discussions](https://github.com/laradumps/laradumps/discussions) tab.

`   ✍️ `  Give this report a short but meaningful title. Make it easy to spot for others who might be facing the same issue.

`   ⚠️ `  Issues that do not describe a bug will be closed.

## Information

### Pre-steps

#### Have you searched through other issues to see if your problem is already reported or has been fixed?

- [ ] Yes - I did not find it.
- [ ] No

#### Did you read the [documentation](https://laradumps.dev/)?

- [ ] Yes - I did not find it.
- [ ] No

#### Have you tried to reconfigure LaraDumps?

To configure LaraDumps, run: `php artisan ds:init`.

- [ ] Yes - I didn't work.
- [ ] No, I believe this error is not related the configuration.

### Software Version

You can run `composer show -i` and `npm list` to list installed package with their versions.

| Software  | Version (exactly) |
|-----------|-------------------|
| LaraDumps App |                   |
| LaraDumps package   |                   |
| Laravel  |                   |
| Operating System  |                   |

#### What is your project Environment?

- [ ] Laravel Valet
- [ ] Laravel Sail
- [ ] Docker
- [ ] XAMPP
- [ ] Laragon
- [ ] Other - please specify: ________

---

## Describe the bug

### What happened?

I did FOO expecting BAR as a result. However, I received BAZ...

### Steps to Reproduce the problem

First click on "FOO" then....

### Suggestions

(Do you have any idea how we can fix it?)

## Extra information

**Screenshots**
